org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

## Enum RetryServiceType

- java.lang.Object
- - java.lang.Enum<RetryServiceType>
  - - org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.RetryServiceType

All Implemented Interfaces:
  Serializable, Comparable<RetryServiceType>

    public enum RetryServiceType
    extends Enum<RetryServiceType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BASE_ROC`
`BASE_ROC_DERIVED_CLASS_NO_REDEFINITION`
`BASE_ROC_RETRY_MISSING_ON_METHOD`
`BASE_ROC_RETRY_REDEFINED_ON_CLASS`
`BASE_ROC_RETRY_REDEFINED_ON_CLASS_METHOD_OVERRIDE`
`BASE_ROC_RETRY_REDEFINED_ON_METHOD`
`BASE_ROCM`
`BASE_ROCM_DERIVED_CLASS_NO_REDEFINITION`
`BASE_ROCM_RETRY_MISSING_ON_METHOD`
`BASE_ROCM_RETRY_REDEFINED_ON_CLASS`
`BASE_ROCM_RETRY_REDEFINED_ON_CLASS_METHOD_OVERRIDE`
`BASE_ROCM_RETRY_REDEFINED_ON_METHOD`
`BASE_ROM`
`BASE_ROM_DERIVED_CLASS_NO_REDEFINITION`
`BASE_ROM_RETRY_MISSING_ON_METHOD`
`BASE_ROM_RETRY_REDEFINED_ON_CLASS`
`BASE_ROM_RETRY_REDEFINED_ON_CLASS_METHOD_OVERRIDE`
`BASE_ROM_RETRY_REDEFINED_ON_METHOD`

### Method Summary

All Methods Static Methods Concrete Methods
`static RetryServiceType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RetryServiceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BASE_ROC

    public static final RetryServiceType BASE_ROC

#### BASE_ROC_RETRY_REDEFINED_ON_CLASS

    public static final RetryServiceType BASE_ROC_RETRY_REDEFINED_ON_CLASS

#### BASE_ROC_RETRY_REDEFINED_ON_CLASS_METHOD_OVERRIDE

    public static final RetryServiceType BASE_ROC_RETRY_REDEFINED_ON_CLASS_METHOD_OVERRIDE

#### BASE_ROC_RETRY_REDEFINED_ON_METHOD

    public static final RetryServiceType BASE_ROC_RETRY_REDEFINED_ON_METHOD

#### BASE_ROC_RETRY_MISSING_ON_METHOD

    public static final RetryServiceType BASE_ROC_RETRY_MISSING_ON_METHOD

#### BASE_ROC_DERIVED_CLASS_NO_REDEFINITION

    public static final RetryServiceType BASE_ROC_DERIVED_CLASS_NO_REDEFINITION

#### BASE_ROM

    public static final RetryServiceType BASE_ROM

#### BASE_ROM_RETRY_REDEFINED_ON_CLASS

    public static final RetryServiceType BASE_ROM_RETRY_REDEFINED_ON_CLASS

#### BASE_ROM_RETRY_REDEFINED_ON_CLASS_METHOD_OVERRIDE

    public static final RetryServiceType BASE_ROM_RETRY_REDEFINED_ON_CLASS_METHOD_OVERRIDE

#### BASE_ROM_RETRY_REDEFINED_ON_METHOD

    public static final RetryServiceType BASE_ROM_RETRY_REDEFINED_ON_METHOD

#### BASE_ROM_RETRY_MISSING_ON_METHOD

    public static final RetryServiceType BASE_ROM_RETRY_MISSING_ON_METHOD

#### BASE_ROM_DERIVED_CLASS_NO_REDEFINITION

    public static final RetryServiceType BASE_ROM_DERIVED_CLASS_NO_REDEFINITION

#### BASE_ROCM

    public static final RetryServiceType BASE_ROCM

#### BASE_ROCM_RETRY_REDEFINED_ON_CLASS

    public static final RetryServiceType BASE_ROCM_RETRY_REDEFINED_ON_CLASS

#### BASE_ROCM_RETRY_REDEFINED_ON_CLASS_METHOD_OVERRIDE

    public static final RetryServiceType BASE_ROCM_RETRY_REDEFINED_ON_CLASS_METHOD_OVERRIDE

#### BASE_ROCM_RETRY_REDEFINED_ON_METHOD

    public static final RetryServiceType BASE_ROCM_RETRY_REDEFINED_ON_METHOD

#### BASE_ROCM_RETRY_MISSING_ON_METHOD

    public static final RetryServiceType BASE_ROCM_RETRY_MISSING_ON_METHOD

#### BASE_ROCM_DERIVED_CLASS_NO_REDEFINITION

    public static final RetryServiceType BASE_ROCM_DERIVED_CLASS_NO_REDEFINITION

### Method Detail

#### values

    public static RetryServiceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RetryServiceType c : RetryServiceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RetryServiceType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null